Bug 184274 - Update port: www/dtse Add STAGE support
Summary: Update port: www/dtse Add STAGE support
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-25 07:50 UTC by Douglas Thrift
Modified: 2013-11-26 15:50 UTC (History)
1 user (show)

See Also:


Attachments
dtse.2013-11-25T072606Z.diff (1.71 KB, patch)
2013-11-25 07:50 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-11-25 07:50:00 UTC
Add STAGE support to www/dtse.

https://redports.org/buildarchive/20131125064900-12117/
Comment 1 Edwin Groothuis freebsd_committer 2013-11-25 07:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sunpoet

sunpoet@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-11-26 15:45:58 UTC
Author: sunpoet
Date: Tue Nov 26 15:45:50 2013
New Revision: 334949
URL: http://svnweb.freebsd.org/changeset/ports/334949

Log:
  - Support STAGEDIR
  - While I'm here, use USES=gmake
  
  PR:		ports/184274
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net> (maintainer)

Added:
  head/www/dtse/files/patch-GNUmakefile.in   (contents, props changed)
Modified:
  head/www/dtse/Makefile

Modified: head/www/dtse/Makefile
==============================================================================
--- head/www/dtse/Makefile	Tue Nov 26 15:45:00 2013	(r334948)
+++ head/www/dtse/Makefile	Tue Nov 26 15:45:50 2013	(r334949)
@@ -20,9 +20,8 @@ USE_OPENSSL=	yes
 CONFIGURE_ARGS+=	--with-openssl=${OPENSSLBASE}
 .endif
 
-USES=		perl5
+USES=		gmake perl5
 USE_BZIP2=	yes
-USE_GMAKE=	yes
 USE_AUTOTOOLS=	aclocal:env automake:env autoconf:env
 
 HAS_CONFIGURE=	yes
@@ -32,7 +31,6 @@ MAKEFILE=	GNUmakefile
 
 WRKSRC=	${WRKDIR}/${PORTNAME}-${PORTVERSION}
 
-NO_STAGE=	yes
 pre-configure:
 	cd ${WRKSRC}; ${SH} autogen.sh
 

Added: head/www/dtse/files/patch-GNUmakefile.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/dtse/files/patch-GNUmakefile.in	Tue Nov 26 15:45:50 2013	(r334949)
@@ -0,0 +1,26 @@
+--- ./GNUmakefile.in.orig	2013-11-24 15:43:48.000000000 -0800
++++ ./GNUmakefile.in	2013-11-24 15:43:56.000000000 -0800
+@@ -40,16 +40,16 @@
+ -include ${cxxdep}
+ 
+ install: installdirs
+-	${INSTALL_DATA} LICENSE LICENSE.html ${prefix}
+-	${INSTALL_DATA} README README.html osi-certified-90x75.png ${prefix}
+-	${INSTALL_PROGRAM} ${exe} ${bindir}
+-	${INSTALL_SCRIPT} search.cgi ${prefix}/http
+-	${INSTALL_DATA} dtse_pb.png ${prefix}/http
++	${INSTALL_DATA} LICENSE LICENSE.html ${DESTDIR}${prefix}
++	${INSTALL_DATA} README README.html osi-certified-90x75.png ${DESTDIR}${prefix}
++	${INSTALL_PROGRAM} ${exe} ${DESTDIR}${bindir}
++	${INSTALL_SCRIPT} search.cgi ${DESTDIR}${prefix}/http
++	${INSTALL_DATA} dtse_pb.png ${DESTDIR}${prefix}/http
+ 	${INSTALL_DATA} header.html body.html footer.html notfound.html \
+-		pages.html ${prefix}/data
++		pages.html ${DESTDIR}${prefix}/data
+ 
+ installdirs: mkinstalldirs
+-	./mkinstalldirs ${bindir} ${prefix}/http ${prefix}/data
++	./mkinstalldirs ${DESTDIR}${bindir} ${DESTDIR}${prefix}/http ${DESTDIR}${prefix}/data
+ 
+ clean:
+ 	-rm -rf object ${exe} core $(patsubst %, %.core, ${exe}) $(patsubst %, \
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Po-Chuan Hsieh freebsd_committer 2013-11-26 15:46:05 UTC
State Changed
From-To: open->closed

Committed. Thanks!